#include "item.h"
#include "traits.h"

using namespace aka2;

bool itemtype::equals(const void *lhs, const void *rhs) const {
  return op_->equals(lhs, rhs);
}


const item& item::operator=(const item& rhs) {
  if ((this == &rhs) || (get_node().ptr() == rhs.get_node().ptr()))
    return *this;
  nodeptr_ = rhs.nodeptr_;
  props_ = rhs.props_;
  return *this;
}


bool aka2::item_of(const aka2::item &i, const std::string &tagname) {
  return aka2::qname(tagname) == i.get_name();
}
